# $Revision: 1.25 $, $Date: 2006/05/21 16:03:36 $
Summary:	Tunnelizes connection via HTTP
Summary(pl):	Tunelowanie pocze po HTTP
Summary(pt):	Tuneliza conexes via HTTP
Name:		httptunnel
Version:	3.3
Release:	4
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://ftp.nocrew.org/pub/nocrew/unix/%{name}-%{version}.tar.gz
# Source0-md5:	493cc0f5f21e9955db27ee9cd9a976d5
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	htc.respawn
Patch0:		%{name}-ac_am_fixes.patch
Patch1:		%{name}-remove_port.patch
URL:		http://www.nocrew.org/software/httptunnel.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
httptunnel creates a bidirectional virtual data path tunnelled in HTTP
requests. The HTTP requests can be sent via an HTTP proxy if so
desired. This can be useful for users behind restrictive firewalls. If
WWW access is allowed through a HTTP proxy, it's possible to use
httptunnel and, say, telnet or PPP to connect to a computer outside
the firewall.

httptunnel is written and maintained by Lars Brinkhoff. See the file
AUTHORS for more information about contributors to this package.

%description -l pl
httptunnel tworzy dwukierunkow wirtualn drog dla danych tunelowan
przez dania HTTP. dania mog by wysyane przez HTTP proxy, jeli
jest taka potrzeba. Program jest przydatny dla uytkownikw za bardzo
restrykcyjnymi firewallami. Jeeli dostp do WWW jest przez proxy
HTTP, mona uywa httptunnelu i np. telnetu lub PPP, aby poczy si
z komputerem za firewallem.

%description -l pt_BR
httptunnel cria um caminho virtual bidirecional tunelado em
requisies HTTP. As requisies HTTP podem ser enviadas via um proxy
HTTP se desejado. Isto pode ser til para usurios atrs de firewalls
restritivos. Se o acesso WWW for permitido pelo proxy HTTP,  possvel
usar o httptunnel e, digamos, telnet ou PPP para conectar a um
computador fora do firewall.

httptunnel  escrito e mantido por Lars Brinkhoff. Veja o arquivo
AUTHORS para mais informao sobre contribuidores a este pacote.

%description -l sv_SE
httptunnel skapar en virtuell tvvgs kommunikationskanal tunnlad i
HTTP-paket. HTTP-paketen kan skickas via en HTTP-proxy om s nskas.
Detta kan vara anvndbart fr anvndare bakom en restriktiv firewall.
Om webben r tillgnglig genom en HTTP-proxy, r det mjligt att
anvnda httptunnel, och exempelvis telnet eller PPP fr att koppla upp
sig mot en dator utanfr firewallen.

httptunnel r skriven och underhllen av Lars Brinkhoff. Se filen
AUTHORS fr mer information om vilka som har bidragit till detta
paket.

%package client
Summary:	HTTP tunnel client
Summary(pl):	Klient tunelu HTTP
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description client
HTTP tunnel client.

%description client -l pl
Klient tunelu HTTP.

%package server
Summary:	HTTP tunnel server
Summary(pl):	Server tunelu HTTP
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts

%description server
HTTP tunnel server.

%description server -l pl
Server tunelu HTTP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -rf missing port
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post server
/sbin/chkconfig --add httptunnel
%service httptunnel restart "HTTP tunnel daemons"

%preun server
if [ "$1" = "0" ]; then
	%service httptunnel stop
	/sbin/chkconfig --del httptunnel
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog DISCLAIMER FAQ HACKING NEWS README TODO
%{_mandir}/man1/*

%files client
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/htc
%attr(755,root,root) %{_bindir}/htc.respawn

%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/hts
%attr(754,root,root) /etc/rc.d/init.d/*
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: httptunnel.spec,v $
Revision 1.25  2006/05/21 16:03:36  glen
- rel 4

Revision 1.24  2006/02/28 23:36:51  glen
- use %service

Revision 1.23  2006/01/12 17:33:55  darekr
- strict deps

Revision 1.22  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.21  2004/10/29 09:41:55  paladine
- "HTTP" unification

Revision 1.20  2004/08/31 14:44:50  snurf
- typos / formatting / etc.

Revision 1.19  2003/08/22 15:44:04  ankry
- cosmetics: spaces -> tabs

Revision 1.18  2003/08/22 15:16:10  ankry
- fix improper use of %{_sysconfdir}
- fix attributes

Revision 1.17  2003/07/29 14:17:59  qboosh
- added missing Requires(): chkconfig or PreReq: rc-scripts

Revision 1.16  2003/05/28 12:59:05  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 05:48:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/01/25 15:55:38  mkochano
- Release 3.
- Added init script for server.
- Added config file for server.
- Splitted into "client" and "server" subpackages.
  TODO: config file and rc.script for client.

Revision 1.13  2002/11/27 21:10:38  juandon
- new %doc

Revision 1.12  2002/10/09 13:14:33  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.11  2002/05/21 23:13:34  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/04/25 16:34:32  arturs
- fixed a small typo

Revision 1.9  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.8  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:13:17  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/29 15:44:26  qboosh
- pl translations

Revision 1.5  2001/10/30 02:37:25  kloczek
- release 2,
- added remove_port patch (use glibc instead own copy some system avalaible
  functions),
- added regenerate ac/am files (added ac_am_fixes patch for allow use latest
  ac/am for rebuild).

Revision 1.4  2001/09/30 22:04:49  marcus
- s/configure/configure2_13/g

Revision 1.3  2001/03/15 11:38:25  mis
- updated (by autoup) to 3.3

Revision 1.2  2000/12/06 21:22:25  kloczek
- completly rewrited in PLD coding style.
